Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
wired overlay: libsoup-{gnome-}-9999 ebuilds problem
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
jeffk
l33t
l33t


Joined: 13 Sep 2003
Posts: 661

PostPosted: Wed Feb 24, 2010 6:02 pm    Post subject: wired overlay: libsoup-{gnome-}-9999 ebuilds problem Reply with quote

Not sure what the protocol for contacting a developer about their ebuilds in overlays are, so I'll start here rather than email or a github overlay repository issue.

I'm using the libsoup-9999 and libsoup-gnome-9999 ebuild for dependencies for epiphany and other webkit-gtk software. These live ebuilds libsoup and libsoup-gnome stopped working with some recent upstream revision, my last emerge of each was 2010-02-10.

The following commented lines allow the ebuilds to compile, but perhaps without an important step intended by the ebuild author:
Code:
# git diff
diff --git a/net-libs/libsoup-gnome/Manifest b/net-libs/libsoup-gnome/Manifest
index 14a4acb..9b61afd 100644
--- a/net-libs/libsoup-gnome/Manifest
+++ b/net-libs/libsoup-gnome/Manifest
@@ -2,5 +2,5 @@ AUX gtk-doc.make 6050 RMD160 b26cd9f99546a48dbf9479c1c392e3142b3465ba SHA1 30cef
 AUX libsoup-gnome-2.28.1-system-lib.patch 5256 RMD160 3665b178f82f71016a55e946119056bf781e4578 SHA1 1fad95b2e67210ef4c9a3edefb0c1e0374ca821a SHA256 f5a7b35e9b4e48bad44434c9fcd6b7c44d1a57fd21ac7ba6c6003a8331707c32
 DIST libsoup-2.29.3.tar.bz2 705665 RMD160 8ce8c1f9bc268619b3cd3082c3c7ce059beb3783 SHA1 ddb3d1922050789bc55010bc6d9f2f5241b8e096 SHA256 4b38450a74b569a63bd36a793de25dd84570e47948bf63889c4b808c9f18cf3e
 EBUILD libsoup-gnome-2.29.3.ebuild 1294 RMD160 f4936aac993ec9e6e4020d5a97e3384f11067591 SHA1 b3b82f34e770f62a68d525b9dd10d5040ffff840 SHA256 c5a645f1e13ab0cdd442c481ad5bf67957ab5b3228fe536786c8ccbca2956e9d
-EBUILD libsoup-gnome-9999.ebuild 1373 RMD160 9b5f75f50ebb138c9019123ffaddaf51ba8d511a SHA1 c3d7ef684714346af4247d9658b8c406d677d1a6 SHA256 843671ba3b682f06a9a65a68725c419fb30f9484f40a3d627ec7cac8e9f0fdc4
+EBUILD libsoup-gnome-9999.ebuild 1379 RMD160 4501d00e2003bd3cb0ff1e3068efc122c6376cf2 SHA1 4a3425e09babaf1f65a2b95425b4535c82050f89 SHA256 75b3bcbe5e0a47176bf61b1f4d8c8f3025c2bd215423df841546e30281a2c36c
 MISC metadata.xml 241 RMD160 aedbf881c599b76271dd0dbc7e54bc31e3f91ffd SHA1 6caa3b2886b925e01a46deb58de93ed28f266849 SHA256 c8f2b18f9655faa02227d75e5b4cdadf1060947a622fb4cb9186d3d9a6ae33fc
diff --git a/net-libs/libsoup-gnome/libsoup-gnome-9999.ebuild b/net-libs/libsoup-gnome/libsoup-gnome-9999.ebuild
index 538b1c2..a3657e7 100644
--- a/net-libs/libsoup-gnome/libsoup-gnome-9999.ebuild
+++ b/net-libs/libsoup-gnome/libsoup-gnome-9999.ebuild
@@ -51,9 +51,9 @@ src_prepare() {
 
        # Fix test to follow POSIX (for x86-fbsd)
        # No patch to prevent having to eautoreconf
-       sed -e 's/\(test.*\)==/\1=/g' -i configure.in configure || die "sed failed"
+       # sed -e 's/\(test.*\)==/\1=/g' -i configure.in configure || die "sed failed"
 
        # Use lib present on the system
-       epatch "${FILESDIR}"/${PN}-2.28.1-system-lib.patch
-       eautoreconf
+       # epatch "${FILESDIR}"/${PN}-2.28.1-system-lib.patch
+       # eautoreconf
 }
diff --git a/net-libs/libsoup/Manifest b/net-libs/libsoup/Manifest
index cbd81ca..28d297d 100644
--- a/net-libs/libsoup/Manifest
+++ b/net-libs/libsoup/Manifest
@@ -1,5 +1,5 @@
 AUX gtk-doc.make 6050 RMD160 b26cd9f99546a48dbf9479c1c392e3142b3465ba SHA1 30cefd18daca56b0907f2c2d3699700c56458b0c SHA256 5372526b8ce5e7a4d343c38fdbf51f390853e7d49f9ae71ceb4a0b88b0cdc907
 DIST libsoup-2.29.3.tar.bz2 705665 RMD160 8ce8c1f9bc268619b3cd3082c3c7ce059beb3783 SHA1 ddb3d1922050789bc55010bc6d9f2f5241b8e096 SHA256 4b38450a74b569a63bd36a793de25dd84570e47948bf63889c4b808c9f18cf3e
 EBUILD libsoup-2.29.3.ebuild 1424 RMD160 08ecec5f251584590070e955870e2a17eaa04f40 SHA1 462ed8cc862bbfabd4eba484ea8d96389e76e8fc SHA256 a76b802e3f5c4b7768166f887b805ae694f1f04893190d4c7779013904170abc
-EBUILD libsoup-9999.ebuild 1307 RMD160 20be569d3018530f0f5a00b5d39d4d2809030cc5 SHA1 f0e5b9c41b800a4087ae6f2aa0d2ecd62ff9ce71 SHA256 74f89d15587cc09611f7e4c384c2c4ceb42167059a8cbe1381fbbb6924664a64
+EBUILD libsoup-9999.ebuild 1309 RMD160 8e6dfcb4925e6f652581d645398f04f333711158 SHA1 345ba069c7dade4b7229d9e0c7a229d02a087fd1 SHA256 80244a3c0d822cffdbf4f5b9cb4b4f4628d16389e8ce9429ca9dc00f458e92c6
 MISC metadata.xml 241 RMD160 aedbf881c599b76271dd0dbc7e54bc31e3f91ffd SHA1 6caa3b2886b925e01a46deb58de93ed28f266849 SHA256 c8f2b18f9655faa02227d75e5b4cdadf1060947a622fb4cb9186d3d9a6ae33fc
diff --git a/net-libs/libsoup/libsoup-9999.ebuild b/net-libs/libsoup/libsoup-9999.ebuild
index 2583438..4752da7 100644
--- a/net-libs/libsoup/libsoup-9999.ebuild
+++ b/net-libs/libsoup/libsoup-9999.ebuild
@@ -49,5 +49,5 @@ src_prepare() {
 
        # Fix test to follow POSIX (for x86-fbsd)
        # No patch to prevent having to eautoreconf
-       sed -e 's/\(test.*\)==/\1=/g' -i configure.in configure || die "sed failed"
+       # sed -e 's/\(test.*\)==/\1=/g' -i configure.in configure || die "sed failed"
 }

The ebuilds do compile with those changes, but libsoup-gnome has file collisions with libsoup:
Code:
 * net-libs/libsoup-9999
 *      /usr/include/libsoup-2.4/libsoup/soup-address.h
 *      /usr/include/libsoup-2.4/libsoup/soup-auth-domain-basic.h
 *      /usr/include/libsoup-2.4/libsoup/soup-auth-domain-digest.h
 *      /usr/include/libsoup-2.4/libsoup/soup-auth-domain.h
 *      /usr/include/libsoup-2.4/libsoup/soup-auth.h
 *      /usr/include/libsoup-2.4/libsoup/soup-content-decoder.h
 *      /usr/include/libsoup-2.4/libsoup/soup-content-sniffer.h
 *      /usr/include/libsoup-2.4/libsoup/soup-cookie-jar-text.h
 *      /usr/include/libsoup-2.4/libsoup/soup-cookie-jar.h
 *      /usr/include/libsoup-2.4/libsoup/soup-cookie.h
 *      /usr/include/libsoup-2.4/libsoup/soup-date.h
 *      /usr/include/libsoup-2.4/libsoup/soup-enum-types.h
 *      /usr/include/libsoup-2.4/libsoup/soup-form.h
 *      /usr/include/libsoup-2.4/libsoup/soup-headers.h
 *      /usr/include/libsoup-2.4/libsoup/soup-logger.h
 *      /usr/include/libsoup-2.4/libsoup/soup-message-body.h
 *      /usr/include/libsoup-2.4/libsoup/soup-message-headers.h
 *      /usr/include/libsoup-2.4/libsoup/soup-message.h
 *      /usr/include/libsoup-2.4/libsoup/soup-method.h
 *      /usr/include/libsoup-2.4/libsoup/soup-misc.h
 *      /usr/include/libsoup-2.4/libsoup/soup-multipart.h
 *      /usr/include/libsoup-2.4/libsoup/soup-password-manager.h
 *      /usr/include/libsoup-2.4/libsoup/soup-portability.h
 *      /usr/include/libsoup-2.4/libsoup/soup-proxy-resolver.h
 *      /usr/include/libsoup-2.4/libsoup/soup-proxy-uri-resolver.h
 *      /usr/include/libsoup-2.4/libsoup/soup-server.h
 *      /usr/include/libsoup-2.4/libsoup/soup-session-async.h
 *      /usr/include/libsoup-2.4/libsoup/soup-session-feature.h
 *      /usr/include/libsoup-2.4/libsoup/soup-session-sync.h
 *      /usr/include/libsoup-2.4/libsoup/soup-session.h
 *      /usr/include/libsoup-2.4/libsoup/soup-socket.h
 *      /usr/include/libsoup-2.4/libsoup/soup-status.h
 *      /usr/include/libsoup-2.4/libsoup/soup-types.h
 *      /usr/include/libsoup-2.4/libsoup/soup-uri.h
 *      /usr/include/libsoup-2.4/libsoup/soup-value-utils.h
 *      /usr/include/libsoup-2.4/libsoup/soup-xmlrpc.h
 *      /usr/include/libsoup-2.4/libsoup/soup.h
 *      /usr/lib64/libsoup-2.4.la
 *      /usr/lib64/libsoup-2.4.so
 *      /usr/lib64/libsoup-2.4.so.1
 *      /usr/lib64/libsoup-2.4.so.1.3.0
 *      /usr/lib64/pkgconfig/libsoup-2.4.pc
 *
 * Package 'net-libs/libsoup-gnome-9999' NOT merged due to file
 * collisions. If necessary, refer to your elog messages for the whole
 * content of the above message.
thinkpad libsoup-gnome # equery belongs /usr/include/libsoup-2.4/libsoup/soup-address.h
 * Searching for /usr/include/libsoup-2.4/libsoup/soup-address.h ...
net-libs/libsoup-9999 (/usr/include/libsoup-2.4/libsoup/soup-address.h)


Thanks.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 44198
Location: 56N 3W

PostPosted: Wed Feb 24, 2010 8:00 pm    Post subject: Reply with quote

Moved from Portage & Programming to Unsupported Software.

As its an overlay issue
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
wired_
Retired Dev
Retired Dev


Joined: 13 Feb 2009
Posts: 15
Location: Athens, Greece

PostPosted: Sat Feb 27, 2010 1:04 am    Post subject: Reply with quote

fixed, sync the overlay!

thanks for reporting :)

[net-libs/libsoup{,-gnome}-9999] adjust ebuilds/patches to latest master
http://github.com/wired/wirelay/commit/a5a9a0e3af1c4cda89b1f57541bc8db4306235b0
_________________
Alex Alexander
wired @ gentoo
stupid _ in forum nick because someone else has wired
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum